#pragma once

#include <memory>
#include <string>

class Database
{

    std::string mPath;

public:

    Database();

    ~Database();

    static std::unique_ptr<Database> Create();

    void SetPath(const std::string& path);

    std::string GetPath() const;
};

using DatabasePtr = std::unique_ptr<Database>;
